[Unit]
Description=NSD Control Key And Certificate Generator
After=syslog.target 
Before=nsd.service
ConditionPathExists=|!/etc/nsd/nsd_control.key
ConditionPathExists=|!/etc/nsd/nsd_control.pem
ConditionPathExists=|!/etc/nsd/nsd_server.key
ConditionPathExists=|!/etc/nsd/nsd_server.pem
PartOf=nsd.service

[Service]
Type=oneshot
Group=nsd
ExecStart=/usr/sbin/nsd-control-setup -d /etc/nsd/
ExecStart=/sbin/restorecon /etc/nsd/*
RemainAfterExit=yes

[Install]
WantedBy=multi-user.target
